summaryrefslogtreecommitdiffstats
path: root/audio/jamin
diff options
context:
space:
mode:
author Erik Hanson <erik@slackbuilds.org>2010-05-12 23:27:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:27:58 +0200
commit0fe69cd711d6fc52141a2bb95911431b8aedbd1c (patch)
tree1a8c91f9ffc7d48ab876db698e8d673ad7a5a606 /audio/jamin
parent247a22814f90659cc72b777f04d6103fe42a4642 (diff)
downloadslackbuilds-0fe69cd711d6fc52141a2bb95911431b8aedbd1c.tar.gz
slackbuilds-0fe69cd711d6fc52141a2bb95911431b8aedbd1c.tar.xz
audio/jamin: Added to 12.2 repository
Diffstat (limited to 'audio/jamin')
-rw-r--r--audio/jamin/README6
-rw-r--r--audio/jamin/desktopfile.gzbin0 -> 261 bytes
-rw-r--r--audio/jamin/doinst.sh14
-rw-r--r--audio/jamin/jamin.SlackBuild72
-rw-r--r--audio/jamin/jamin.info8
-rw-r--r--audio/jamin/slack-desc19
6 files changed, 119 insertions, 0 deletions
diff --git a/audio/jamin/README b/audio/jamin/README
new file mode 100644
index 0000000000..e02b096fe8
--- /dev/null
+++ b/audio/jamin/README
@@ -0,0 +1,6 @@
+JAMin is the JACK Audio Connection Kit (JACK) Audio Mastering
+interface. JAMin is an open source application designed to perform
+professional audio mastering of stereo input streams. It uses ladspa
+for digital signal processing (DSP).
+
+This requires jack, fftw, liblo, and libsndfile from SlackBuilds.org.
diff --git a/audio/jamin/desktopfile.gz b/audio/jamin/desktopfile.gz
new file mode 100644
index 0000000000..93fce1907e
--- /dev/null
+++ b/audio/jamin/desktopfile.gz
Binary files differ
diff --git a/audio/jamin/doinst.sh b/audio/jamin/doinst.sh
new file mode 100644
index 0000000000..e6347f8f38
--- /dev/null
+++ b/audio/jamin/doinst.sh
@@ -0,0 +1,14 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications &> /dev/null
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/audio/jamin/jamin.SlackBuild b/audio/jamin/jamin.SlackBuild
new file mode 100644
index 0000000000..f611ae0a63
--- /dev/null
+++ b/audio/jamin/jamin.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for JAMin
+# Written by Erik Hanson erik@slackbuilds.org
+
+PRGNAM=jamin
+VERSION=0.95.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -eu
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+# Don't pollute the toplevel /usr/share/icons
+mkdir -p $PKG/usr/share/icons/hicolor/scalable/apps
+mv $PKG/usr/share/icons/jamin.svg $PKG/usr/share/icons/hicolor/scalable/apps
+
+# Make sure the desktop file is standard-compliant - we ship this gzipped
+# to make sure our non-utf8-capable server doesn't corrupt it
+zcat $CWD/desktopfile.gz > $PKG/usr/share/applications/jamin.desktop
+
+gzip -9 $PKG/usr/man/man?/*.?
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/jamin/jamin.info b/audio/jamin/jamin.info
new file mode 100644
index 0000000000..74305b7cab
--- /dev/null
+++ b/audio/jamin/jamin.info
@@ -0,0 +1,8 @@
+PRGNAM="jamin"
+VERSION="0.95.0"
+HOMEPAGE="http://jamin.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/jamin/jamin-0.95.0.tar.gz"
+MD5SUM="032f2a4a578a8938f76282112d56c8d6"
+MAINTAINER="Erik Hanson"
+EMAIL="erik@slackbuilds.org"
+APPROVED="rworkman"
diff --git a/audio/jamin/slack-desc b/audio/jamin/slack-desc
new file mode 100644
index 0000000000..76bc15499a
--- /dev/null
+++ b/audio/jamin/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+jamin: JAMin (JACK Audio Mastering Interface)
+jamin:
+jamin: JAMin is the JACK Audio Connection Kit (JACK) Audio Mastering
+jamin: interface. JAMin is an open source application designed to perform
+jamin: professional audio mastering of stereo input streams. It uses LADSPA
+jamin: for digital signal processing (DSP).
+jamin:
+jamin:
+jamin:
+jamin:
+jamin: